const path = require("path");
const clone = require("git-clone");
const chalk = require("chalk");
// const npmRun = require("npm-run");
const projectName = process.argv[2];

function createModularApp() {
  console.log("***************");
  console.log(chalk.greenBright("Creating a Modular app ..."));

  if (!projectName) {
    throw new Error("No project name provided!");
  }

  const location = path.resolve("./", projectName)

  console.log("Cloning template ...");
  clone("https://github.com/KargJonas/modular-jsx-example", location);

  // console.log("Installing dependencies ...");
  // npmRun.execSync("npm install", { cwd: location });

  console.log(chalk.greenBright("Your app was successfully created!"));
  console.log();
  console.log("Before you can run this app you have to install the dependencies using " + chalk.greenBright("npm i") + " in the project directory.");
  console.log();
  console.log("Start the app (on localhost:9000): " + chalk.greenBright("npm run start"));
  console.log("Generate a production build:       " + chalk.greenBright("npm run build"));
  console.log();
  console.log("Have Fun!");
  console.log();
}

module.exports = createModularApp;